
Figure - Bug #114766
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT2】【设置】点击开发者模式中的“无线调试”时，settings应用闪退
2022-12-23 11:41 - CD Test赵飞

Status: CLOSED Start date: 2022-12-23

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212230238

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2022-12-23

Test Type: ST Root cause: Activity 强制转换异常导致的崩溃。

Description

【测试版本】

FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212230238

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置，打开开发者模式

2、进入开发者模式页面，点击“无线调试”

【预期结果】

2、“无线调试”开关正常被打开

【实际结果】

3、Settings闪退

【日志】

logcat日志见附件

History

#1 - 2022-12-23 17:36 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

172024 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix wifi debug crash problem.TC-RID: 1201-0201810IssueID: TS-R-BUG-114766Change-Id: I126485bc32ff313a4c23cef9e566beeaa24c347a

#2 - 2022-12-23 17:47 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD Test赵飞
- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-23

- Root cause set to Activity 强制转换异常导致的崩溃。

■ Current conclusion

已修复。

■ My analysis

Activity 强制转换异常导致的崩溃，已使用正确的类型。

■ Next action

测试验证。

#3 - 2022-12-27 15:41 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 100 to 80

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212240330

验证结果：PASS

点击“无线调试”开关，可以正常打开开关，无crash发生

#4 - 2022-12-27 15:41 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

Files

logcat.txt 7.5 MB 2022-12-23 CD Test赵飞
